'use client';
import { testSelects } from './testData';

import {
  Sidebar,
  SidebarContent,
  SidebarGroup,
  SidebarGroupContent,
  SidebarMenu,
  SidebarMenuButton,
  SidebarMenuItem,
  SidebarFooter,
} from '@/components/ui/sidebar';
import { Separator } from '@/components/ui/separator';

export function AppSidebar() {
  return (
    <Sidebar>
      <SidebarContent className="bg-primary-foreground/95 dark flex flex-col justify-between">
        <SidebarGroup>
          <div className="text-3xl text-center text-orange-500  font-semibold pb-1">
            VQL
          </div>
          <Separator />
          <SidebarGroupContent>
            <SidebarMenu>
              {testSelects.map((item) => (
                // @ts-expect-error: data needs id's before this point
                <SidebarMenuItem key={item.conditionals}>
                  <SidebarMenuButton
                    asChild
                    draggable
                    onDragStart={(e) => {
                      e.dataTransfer.setData(
                        'text/plain',
                        JSON.stringify(item)
                      ); // send the table name
                    }}
                    className="text-white p-4 cursor-pointer text-xl text-center w-full"
                  >
                    <div>{item.table.name}</div>
                  </SidebarMenuButton>
                </SidebarMenuItem>
              ))}
            </SidebarMenu>
          </SidebarGroupContent>
        </SidebarGroup>
        <SidebarFooter>
          <div className="text-white text-center p-5">Beitzah</div>
        </SidebarFooter>
      </SidebarContent>
    </Sidebar>
  );
}
