// export type Conditional = {
// 	Key: string;
// 	Operator: string;
// 	Value: string;
// 	Extension: string; 
// }

// export type Select = {
//   id: string;
//   Table: string;
//   IsWildcard: boolean;
//   Conditionals: Conditional[];
// };

export type Aggregatefunction =
  | 'MIN'
  | 'MAX'
  | 'COUNT'
  | 'SUM'
  | 'AVG'
  | 'UNKNOWN';

export type Table = {
  name: string;
  alias: string;
};

export type Join = {
  type: string;
  mainTable: Table;
  joinTable: Table;
  ons: Conditional[];
};
export type Column = {
  name: string;
  alias: string;
  aggregateFunction: Aggregatefunction;
};

export type Conditional = {
  key: string;
  operator: string;
  value: string;
  extension: string;
};

// Frontend specific types?
export type NodeType = 'JOIN' | 'TABLE';

export type Node = {
  x: number;
  y: number;
  id: string;
  childId: string | undefined;
  type: NodeType;
};

export type JoinNode = Node & Join;

export type JoinNodeReadOnly = {
  id: string;
  parentId: string;
  childId: string;
};

export type OrderBy = {
  key: string;
  isDescending: boolean;
};

export type Select = {
  table: Table;
  columns: Column[];
  conditionals: Conditional[];
  ordeBys?: OrderBy[];
  joins?: Join[];
  isWildcard: boolean;
  isDistinct: boolean;
};